#!/usr/bin/env node
import commander from 'commander';
import pkg from '../package.json';
import utils from '../src/utils';

commander.version(pkg.version, '-v, --version');

commander
    .option('-m, --mock', 'mock api')
    .command('start')
    .description('run project')
    .action(() => utils.requireModule('../script/start')(commander.opts()));

commander
    .command('build')
    .description('build project')
    .action(() => utils.requireModule('../script/build')());

commander
    .command('test')
    .description('test project')
    .action(() => utils.requireModule('../script/test')(commander.args));

commander.parse(process.argv);
