"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = __importDefault(require("./utils"));
const formatWebpackMessages_1 = __importDefault(require("./formatWebpackMessages"));
function compilerErrorHandle(stats, err, isFirstCompiler) {
    const info = stats.toJson();
    if (err || stats.hasErrors()) {
        loopLog(formatWebpackMessages_1.default({ errors: info.errors || [], warnings: [] }).errors);
        (utils_1.default.isProduction() || isFirstCompiler) && process.exit(1);
    }
    if (stats.hasWarnings()) {
        loopLog(formatWebpackMessages_1.default({
            errors: [],
            warnings: info.warnings || []
        }).warnings, 'warning');
    }
}
exports.default = compilerErrorHandle;
;
function loopLog(infos, type = 'error') {
    (infos || []).forEach(function (info) {
        if (info) {
            utils_1.default[type] && utils_1.default[type](info);
        }
    });
}
