"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = __importDefault(require("../utils"));
function loggerMiddleware() {
    return function (req, res, next) {
        const url = req.url;
        if (/\.(css|css|js|png|jpg|svg|gif|html|text|doc|ico|hot-update.json|hot-update.js)$/.test(url)
            || url === '/') {
            return next();
        }
        const startDate = Date.now();
        next();
        const msg = `[${req.method}] ${url}  ${res.statusCode} ${Date.now() - startDate}ms`;
        if (res.statusCode >= 400) {
            utils_1.default.warning(msg);
        }
        else {
            utils_1.default.logger(msg);
        }
    };
}
exports.default = loggerMiddleware;
;
