import { BABEL_NODE_MODULES_REGEX } from '../common/constant';
export default function getDevBabelLoader() {
    return ({
        test: BABEL_NODE_MODULES_REGEX,
        exclude: [
            /@babel(?:\/|\\{1,2})runtime|core-js/
        ],
        loader: require.resolve('babel-loader'),
        options: {
            sourceType: 'unambiguous',
            babelrc: false,
            configFile: false,
            compact: false,
            presets: [
                [
                    require.resolve('@babel/preset-env'),
                    {
                        useBuiltIns: 'entry',
                        corejs: 3,
                        modules: false,
                        exclude: ['transform-typeof-symbol']
                    }
                ],
            ],
            plugins: [
                [
                    require.resolve('@babel/plugin-transform-runtime'),
                    {
                        regenerator: true,
                        corejs: false,
                        useESModules: true,
                        helpers: true
                    }
                ]
            ],
            cacheDirectory: false,
            // See #6846 for context on why cacheCompression is disabled
            cacheCompression: false,
            sourceMaps: false,
            inputSourceMap: false
        }
    });
}
